package com.unis.module.core.enums.project;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @program: delivery-filing-admin
 * @author: duhuajie
 * @create: 2024-07-31
 * @description: 是否类型：是、否
 * core_is_delayed
 */
@Getter
@AllArgsConstructor
public enum CoreIsDelayed {

    YES(1,"是"),
    NO(0,"否"),
   ;
    /**
     * 字典编码
     */
    private final Integer code;
    /**
     * 字典描述
     */
    private final String name;
}
