package com.unis.module.coding.controller.admin.cwxxyear.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.unis.framework.common.pojo.PageParam;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 财年务情况分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CwxxYearPageReqVO extends PageParam {

    @Schema(description = "财年")
    private Integer cn;

    @Schema(description = "总负债(万元)")
    private BigDecimal zfz;

    @Schema(description = "营业收入(万元)")
    private BigDecimal yysr;

    @Schema(description = "净利润(万元)")
    private BigDecimal jlr;

    @Schema(description = "CODING_CWXX.ID", example = "28502")
    private Long cwxxId;

}