package com.unis.module.coding.controller.admin.delivery.vo;

import com.unis.module.coding.controller.admin.caxx.vo.CaxxSaveReqVO;
import com.unis.module.coding.controller.admin.cwxx.vo.CwxxRespVO;
import com.unis.module.coding.controller.admin.cwxx.vo.CwxxSaveReqVO;
import com.unis.module.coding.controller.admin.dwxx.vo.DwxxSaveReqVO;
import com.unis.module.coding.controller.admin.kqxx.vo.KqxxSaveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2025-01-23 14:35
 */
@Schema(description = "创建单位/库区/仓房/财务/交通运输")
@Data
public class DeliverySaveVO {

    @Schema(description = "单位信息")
    private DwxxSaveReqVO dwxxReqVO;

    @Schema(description = "库区信息")
    private KqxxSaveReqVO kqxxReqVO;

    @Schema(description = "仓房信息")
    private List<CaxxSaveReqVO> caxxReqVOList;

    @Schema(description = "财务信息")
    private CwxxSaveReqVO cwxxReqVO;

    // 交通运输情况
}
