package com.unis.module.coding.controller.admin.delivery.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KqExportVO {

    @Schema(description = "所属省份")
    @ExcelProperty("所属省份")
    private String sheng;

    @Schema(description = "所属市区")
    @ExcelProperty("所属市区")
    private String shi;

    @Schema(description = "所在县区")
    @ExcelProperty("所在县区")
    private String xian;

    @Schema(description = "企业名称")
    @ExcelProperty("企业名称")
    private String dwmc;

    @Schema(description = "库区名称")
    @ExcelProperty("库区名称")
    private String kqmc;

    @Schema(description = "总资产（万元）")
    @ExcelProperty("总资产（万元）")
    private Long zzc;

    @Schema(description = "上一年度净利润（万元）")
    @ExcelProperty("上一年度净利润（万元）")
    private Long sndjlr;

    @Schema(description = "库区联系人")
    @ExcelProperty("库区联系人")
    private String KQFZR;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String LXDH;

    @Schema(description = "核验人员")
    @ExcelProperty("核验人员")
    private String  HYRY_NAME;

    @Schema(description = "查看状态")
    @ExcelProperty("查看状态")
    private Integer HY_STATE;

    @Schema(description = "认定银行")
    @ExcelProperty("认定银行")
    private String RDYH_NAME;

    @Schema(description = "备选交收仓（个）")
    @ExcelProperty("备选交收仓（个）")
    private Integer yxcfnum;

}
