package com.unis.module.coding.controller.admin.delivery.vo;

import com.unis.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

/**
 * @author qingsong.han
 * @description:
 * @create 2025-01-17 12:50
 */@Schema(description = "仓房列表分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StorePageReqVO extends PageParam {

    @Schema(description = "库区id")
    @NotNull(message = "库区id非空")
    private Long kqId;

    @Schema(description = "国家交易中心已选仓房(0:未选,1:已选，2:备选，3:认定，4:选定)")
    private Integer yxcf;
}
