package com.unis.module.coding.controller.admin.delivery.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author qingsong.han
 * @description:
 * @create 2025-01-17 12:52
 */
@Schema(description = "仓房列表 Response VO")
@Data
public class StoreRespVO {

    @Schema(description = "仓房id")
    private Long id;

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "仓廒名称")
    private String camc;

    @Schema(description = "仓房类型")
    private String cflx;

    @Schema(description = "仓房状态")
    private String cazt;

    @Schema(description = "设计仓容(吨)")
    private String sjcr;

    @Schema(description = "国家交易中心已选仓房(0:未选,1:已选)")
    private Integer yxcf;

    @Schema(description = "认定银行")
    private String rdyhName;
}
