package com.unis.module.coding.controller.admin.spqyxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 视频区域信息新增/修改 Request VO")
@Data
public class SpqyxxSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "4199")
    private Long id;

    @Schema(description = "子节点ID", example = "22161")
    private String zid;

    @Schema(description = "父节点", example = "4215")
    private String fid;

    @Schema(description = "是否存在区域")
    private String leaf;

    @Schema(description = "区域名称", example = "王五")
    private String name;

    @Schema(description = "库区代码")
    private String kqdm;

}