package com.unis.module.coding.controller.admin.spxx.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.unis.framework.common.pojo.PageParam;

@Schema(description = "管理后台 - 视频信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SpxxPageReqVO extends PageParam {

    @Schema(description = "上级组织机构代码")
    private String zzjgdm;

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "库区代码")
    private String kqdm;

}