package com.unis.module.coding.controller.admin.spxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 视频信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SpxxRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26575")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "监控点编码")
    @ExcelProperty("监控点编码")
    private String jkdbm;

    @Schema(description = "监控点名称")
    @ExcelProperty("监控点名称")
    private String jkdmc;

    @Schema(description = "上级组织机构代码")
    @ExcelProperty("上级组织机构代码")
    private String zzjgdm;

    @Schema(description = "视频链接", example = "https://www.iocoder.cn")
    @ExcelProperty("视频链接")
    private String url;

    @Schema(description = "库区名称")
    @ExcelProperty("库区名称")
    private String kqmc;

    @Schema(description = "库区代码")
    @ExcelProperty("库区代码")
    private String kqdm;

    @Schema(description = "是否在线")
    @ExcelProperty("是否在线")
    private Integer sfzx;

}