package com.unis.module.coding.controller.admin.spxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 视频信息新增/修改 Request VO")
@Data
public class SpxxSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26575")
    private Long id;

    @Schema(description = "监控点编码")
    private String jkdbm;

    @Schema(description = "监控点名称")
    private String jkdmc;

    @Schema(description = "上级组织机构代码")
    private String zzjgdm;

    @Schema(description = "视频链接", example = "https://www.iocoder.cn")
    private String url;

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "库区代码")
    private String kqdm;

    @Schema(description = "是否在线")
    private Integer sfzx;

}