package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Schema(description = "管理后台 - 财务信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskCwxxRespVO {
    @TableId
    private Long id;

    @Schema(description = "是否国有及国有控股(0:是,1不是)")
    private Integer sfgykg;

    @Schema(description = "上年度总资产(万元)")
    private BigDecimal syndzzc;

    @Schema(description = "财年信息列表")
    private List<TaskCnxxRespVO> cnxxList;
}