package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 财年信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskDkxxRespVO {

    @Schema(description = "id")
    private Long id;

    @Schema(description = "库区id(DELIVERY_KQXX.ID)")
    private Long kqId;

    @Schema(description = "用户id(SYSTEM_USERS.ID)")
    private Long userId;

    @Schema(description = "打卡时间")
    private LocalDateTime dksj;

    @Schema(description = "打卡地点")
    private String dkdd;

    @Schema(description = "拍照信息多个逗号分隔','(INFRA_FILE.ID)")
    private String pzxx;

}