package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 财年信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskDkxxSaveVO {

    /** 打卡类型:1:省核验人员,2:银行核验人员 */
    public static final Integer PROVINCIAL_VERIFICATION_PERSONNEL_DK_TYPE = 1;
    public static final Integer VERIFICATION_PERSONNEL_DK_TYPE = 2;

    @Schema(description = "id")
    private Long id;

    @Schema(description = "库区id(DELIVERY_KQXX.ID)")
    private Long kqId;

    @Schema(description = "打卡时间")
    private LocalDateTime dksj;

    @Schema(description = "打卡地点")
    private String dkdd;

    @Schema(description = "拍照信息多个逗号分隔','(INFRA_FILE.ID)")
    private String pzxx;

    @Schema(description = "打卡类型:1:省核验人,2:银行核验人")
    private Integer dkType;

}