package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 库区信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskKqxxRespVO {

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "单位名称")
    private String dwmc;

    @Schema(description = "统一信用代码")
    private String tyxydm;

    @Schema(description = "企业性质")
    private String qyxz;

    @Schema(description = "库区地址-具体地址")
    private String jtdz;

    @Schema(description = "库区负责人")
    private String kqfzr;

    @Schema(description = "联系电话")
    private String lxdh;

    @Schema(description = "占地面积")
    private BigDecimal zdmj;

    @Schema(description = "经度")
    private BigDecimal jd;

    @Schema(description = "纬度")
    private BigDecimal wd;

    @Schema(description = "库区图")
    private String resid;
}