package com.unis.module.coding.controller.admin.zjxx.vo;

import lombok.*;

import java.time.LocalDate;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.unis.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.unis.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 质检信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ZjxxPageReqVO extends PageParam {

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", example = "1241")
    private Long cfId;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", example = "14337")
    private Long hwkId;

    @Schema(description = "检测类型")
    private String jclx;

    @Schema(description = "检测时间")
    private LocalDate jcsj;

}