package com.unis.module.system.api.area;

import com.unis.module.system.api.area.dto.AreaLevel3DTO;

/**
 * @program: delivery-filing-admin
 * @author: duhuajie
 * @create: 2024-07-01
 * @description: 行政区划（三级） api
 */
public interface AreaApi {

    /**
     * 获得行政区划信息
     *
     * @param id 地区编号
     * @return 地区信息
     */
    AreaLevel3DTO getArea(String id) ;
}
