package com.unis.module.system.api.area;

import com.unis.module.system.api.area.dto.AreaLevel3DTO;
import com.unis.module.system.util.area.AreaLevel3Utils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @program: delivery-filing-admin
 * @author: duhuajie
 * @create: 2024-07-01
 * @description: 地区 API 实现类
 */
@Service
public class AreaApiImpl implements AreaApi{

    @Resource
    private AreaLevel3Utils areaLevel3Utils;

    @Override
    public AreaLevel3DTO getArea(String id) {
        return areaLevel3Utils.getArea(id);
    }
}
