package com.unis.module.system.controller.admin.arealevel.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 行政区划新增/修改 Request VO")
@Data
public class AreaLevelSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "6631")
    private Integer id;

    @Schema(description = "行政区划代码")
    private String areaCode;

    @Schema(description = "名称", example = "赵六")
    private String areaName;

    @Schema(description = "上级行政区划代码")
    private String parentCode;

    @Schema(description = "行政区域等级 1-省 2-市 3-区县 4-街道镇 5-村")
    private Integer areaLevel;

}