package com.unis.module.coding.config;

import com.unis.framework.swagger.config.DeliverySwaggerAutoConfiguration;
import org.springdoc.core.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * core 模块的 web 组件的 Configuration
 */
@Configuration(proxyBeanMethods = false)
public class ConfigWebConfiguration {

    /**
     * coding 模块的 API 分组
     */
    @Bean
    public GroupedOpenApi configGroupedOpenApi() {
        return DeliverySwaggerAutoConfiguration.buildGroupedOpenApi("coding");
    }

}