package com.unis.module.coding.controller.admin.cwxx.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.unis.framework.common.pojo.PageParam;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 财务信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CwxxPageReqVO extends PageParam {

    @Schema(description = "是否国有及国有控股(0:是,1不是)")
    private Integer sfgykg;

    @Schema(description = "上一年度总资产(万元)")
    private BigDecimal syndzzc;

    @Schema(description = "股东")
    private String gd;

    @Schema(description = "单位id", example = "3720")
    private Long deptId;

}