package com.unis.module.coding.controller.admin.delivery.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2025-01-22 8:57
 */
@Schema(description = "交割仓已选更新")
@Data
public class CaxxUpdateReqVO {

    @Schema(description = "仓房id")
    private List<Long> ids;

    @Schema(description = "国家交易中心已选仓房(0:未选,1:国家交易中心已选:1,省:2,银行:3)")
    private Integer yxcf;

    @Schema(description = "库区id")
    private Long kqId;

    @Schema(description = "单位id")
    private Long deptId;
    @Schema(description = "行政区划等级")
    private String areaLevel;
}
