package com.unis.module.coding.controller.admin.delivery.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author qingsong.han
 * @description:
 * @create 2025-01-16 15:50
 */
@Schema(description = "交割仓选择 Response VO")
@Data
public class DeliveryRespVO {

    @Schema(description = "库区id")
    private Long kqId;
    @Schema(description = "财务信息id")
    private Long cwId;

    @Schema(description = "所属省份")
    private String sheng;

    @Schema(description = "所属市区")
    private String shi;

    @Schema(description = "所在县区")
    private String xian;

    @Schema(description = "企业名称")
    private String dwmc;

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "仓容总量（吨）")
    private String sjcrNum;

    @Schema(description = "仓房数量")
    private Integer cfnum;

    @Schema(description = "已选仓房")
    private Integer yxcfnum;

    @Schema(description = "单位id")
    private Long deptId;

    @Schema(description = "行政区域编码")
    private String xzqhdm;
    @Schema(description = "总资产（万元）")
    private Long zzc;
    @Schema(description = "上一年度净利润（万元）")
    private Long sndjlr;
    @Schema(description = "库区联系人")
    private String kqfzr;
    @Schema(description = "联系电话")
    private String lxdh;
}
