package com.unis.module.coding.controller.admin.delivery.vo;

import com.unis.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @author qingsong.han
 * @description:
 * @create 2025-02-07 9:13
 */
@Schema(description = "交割仓列表 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SparePageReqVO extends PageParam {
    private static final long serialVersionUID = 4363615301524398280L;

    @Schema(description = "所属省份")
    private String shengCode;

    @Schema(description = "所属市区")
    private String shiCode;

    @Schema(description = "所属县区")
    private String xianCode;

    @Schema(description = "企业名称")
    private String dwmc;

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "行政区域等级 1-省 2-市 3-区县 4-街道镇 5-村")
    private Integer areaLevel;

    @Schema(description = "行政区域编码")
    private String areaCode;

    @Schema(description = "行政区域父编码")
    private String parentCode;

    @Schema(description = "银行名称")
    private String yhmc;
}
