package com.unis.module.coding.controller.admin.delivery.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author qingsong.han
 * @description:
 * @create 2025-02-07 9:30
 */
@Schema(description = "交割仓列表 Response VO")
@Data
public class SpareRespVO implements Serializable {
    private static final long serialVersionUID = 6832789558507535335L;

    @Schema(description = "库区id")
    private Long kqId;

    @Schema(description = "财务信息id")
    private Long cwId;

    @Schema(description = "所属省份")
    private String sheng;

    @Schema(description = "所属市区")
    private String shi;

    @Schema(description = "所在县区")
    private String xian;

    @Schema(description = "企业名称")
    private String dwmc;

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "总资产(万元)")
    private BigDecimal syndzzc;

    @Schema(description = "上一年度净利润(万元)")
    private BigDecimal jlr;

    @Schema(description = "备选交收仓(个)")
    private Integer yxcfnum;
    @Schema(description = "银行认定交收仓(个)")
    private Integer yhrdnum;
    @Schema(description = "选定交收仓(个)")
    private Integer xdnum;
    @Schema(description = "库区联系人")
    private String kqfzr;
    @Schema(description = "联系电话")
    private String lxdh;
    @Schema(description = "核验人员")
    private String  hyryName;
    @Schema(description = "查看状态")
    private Integer hyState;
    @Schema(description = "附件信息")
    private String fileIds;
    @Schema(description = "附件数量")
    private Integer fileNumber;

    @Schema(description = "认定银行")
    private String rdyhName;
    @Schema(description = "单位id")
    private Long deptId;

}
