package com.unis.module.coding.controller.admin.kshzs.vo;

import com.unis.module.coding.controller.admin.cwxxyear.vo.CwxxYearSaveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author: Insight
 * @Description: TODO
 * @Date: 2025/2/11 15:06
 * @Version: 1.0
 */
@Data
public class cwxxVo {

    @Schema(description = "财务信息id")
    private String cwxxid;

    @Schema(description = "是否国有及国有控股(0:是,1不是)")
    private Integer sfgykg;

    @Schema(description = "上一年度总资产(万元)")
    private BigDecimal syndzzc;

    @Schema(description = "股东")
    private String gd;

    @Schema(description = "财年情况")
    private List<CwxxYearSaveReqVO> cwxxYearList;


}
