package com.unis.module.coding.controller.admin.spqyxx.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.unis.framework.common.pojo.PageParam;

@Schema(description = "管理后台 - 视频区域信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SpqyxxPageReqVO extends PageParam {

    @Schema(description = "是否存在区域")
    private String leaf;

    @Schema(description = "区域名称", example = "王五")
    private String name;

    @Schema(description = "库区代码")
    private String kqdm;

}