package com.unis.module.coding.controller.admin.spqyxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 视频区域信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SpqyxxRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "4199")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "子节点ID", example = "22161")
    @ExcelProperty("子节点ID")
    private String zid;

    @Schema(description = "父节点", example = "4215")
    @ExcelProperty("父节点")
    private String fid;

    @Schema(description = "是否存在区域")
    @ExcelProperty("是否存在区域")
    private String leaf;

    @Schema(description = "区域名称", example = "王五")
    @ExcelProperty("区域名称")
    private String name;

    @Schema(description = "库区代码")
    @ExcelProperty("库区代码")
    private String kqdm;

}