package com.unis.module.coding.controller.admin.syxx.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.unis.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.unis.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 损益信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SyxxPageReqVO extends PageParam {

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", example = "15848")
    private Long cfId;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", example = "15915")
    private Long hwkId;

}