package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 财年信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskCnxxRespVO {
    
    @Schema(description = "财年", example = "2023")
    private Integer cn;

    @Schema(description = "总负债(万元)", example = "10000")
    private BigDecimal zfz;

    @Schema(description = "营业收入(万元)", example = "10000")
    private BigDecimal yysr;

    @Schema(description = "净利润(万元)", example = "10000")
    private BigDecimal jlr;

}